package org.beangle.security.monitor.service;

import org.beangle.security.auth.Authentication;
import org.beangle.security.auth.provider.AbstractAuthenticationListener;
import org.beangle.security.auth.session.OnlineActivity;
import org.beangle.security.auth.ui.UserDetails;

public class AuthorityListener extends AbstractAuthenticationListener {
	protected AuthorityManager authorityManager;

	public void afterAuthenticate(Authentication auth) {
		UserDetails details = (UserDetails) auth.getDetails();
		authorityManager.registerAuthorities(details.getUserid());
	}

	public void afterRemove(OnlineActivity activity) {
		if (!authenticationManager.getSessionController().isRegisted(activity.getPrincipal())) {
			authorityManager.removeAuthorities(activity.getUserid());
		}
	}

	public AuthorityManager getAuthorityManager() {
		return authorityManager;
	}

	public void setAuthorityManager(AuthorityManager authorityManager) {
		this.authorityManager = authorityManager;
	}

}
