package org.beangle.security.monitor.service;

import java.util.Set;

import org.beangle.security.Group;
import org.beangle.security.Resource;
import org.beangle.security.service.AuthorityService;
import org.beangle.security.service.ResourceService;
import org.beangle.security.service.UserService;

/**
 * 授权判断服务
 * 
 * @author chaostone
 * 
 */
public interface AuthorityManager {

	public boolean isAuthorized(Long userId, String resourceName);

	public void registerAuthorities(Long userId);

	public void registerGroupAuthorities(Group group);

	public void removeAuthorities(Long userId);

	public boolean isPublic(String resourceName);

	public Set<String> getPublicResources();

	public void setResourceService(ResourceService resourceService);

	public void setUserService(UserService userService);

	public void setAuthorityService(AuthorityService authorityService);

	public void refreshResourceCache();
}
